
; ========================================================
;			
;    -- TextReaderSquare.inc --
;			Jay Sullivan
; ========================================================
  
;#################################################
;#                Macro
;#################################################



	$String MACRO sTEXT
		LOCAL szText
		.data
		 szText db sTEXT, 0
		.code
		EXITM <Offset szText>
	ENDM
	
	
	$Const MACRO Num
		result textequ @CatStr(<c_>,<%Num>)
	% IFNDEF result
		  .const 
		    result dd Num
		  .code
	  ENDIF
		EXITM <result>
	ENDM
	
;#################################################
;#                Structs
;#################################################
  
	Square STRUCT
		szText	DWORD	?
		hLogFont	DWORD	?
		fgColor	DWORD ?
		bgColor DWORD ?  ; XXCCCCCC  << if greater than 0FFFFFFh then transparent
	Square ENDS
  
;#################################################
;#                Include
;#################################################
	include windows.inc
	include user32.inc
	include kernel32.inc
	include gdi32.inc
	include comdlg32.inc
	;-------------------------------------------------------------------
	;Needed For Debug Window Only
	;include masm32.inc
	;include debug.inc
	;includeLib masm32.lib
	;includeLib debug.lib
	;-------------------------------------------------------------------
	includeLib user32.lib
	includeLib kernel32.lib
	includeLib gdi32.lib
	includelib comdlg32.lib

	;----------------------------
	;     Prototypes
	;----------------------------
		
		WinMain PROTO :DWORD,:DWORD,:DWORD,:DWORD
		InfoTextProc PROTO hWnd:HWND, uMsg:UINT, wParam:WPARAM, lParam:LPARAM
		CFHookProc PROTO hdlg:HWND, uiMsg:DWORD, wParam:WPARAM, lParam:LPARAM
		TextDialogFunc  PROTO hwndDlg:HWND, uMsg:DWORD, wParam:WPARAM, lParam:LPARAM
		SquareAlloc		PROTO
		SquareFree		PROTO pSquare:DWORD
		SquareCopy		PROTO pSquareDest:DWORD, pSquareSrc:DWORD
		EnumAllChildren PROTO hWnd:HWND, lParam:LPARAM
		StringLength PROTO item:DWORD
		StringCopy PROTO SzDest:DWORD, SzSource:DWORD
		
	
;#################################################
;#                EQU
;#################################################
	WM_NOSELECTION	 EQU WM_USER+1 



;#################################################
;#               RESOURCE EQU
;#################################################

	IDM_FILE		EQU 0
	IDM_FILE_NEW		EQU 2001
	IDM_FILE_OPEN		EQU 2002
	IDM_FILE_SAVE		EQU 2003
	IDM_FILE_SAVEAS		EQU 2004
	IDM_FILE_OPENBG		EQU 2005
	IDM_FILE_CLOSEBG	EQU 2006
	IDM_FILE_EXIT		EQU 2007
	
	IDM_EDIT		EQU 1
	IDM_EDIT_TEXT		EQU 2101
	IDM_EDIT_FONT		EQU 2102
	IDM_EDIT_COPY		EQU 2103
	IDM_EDIT_PASTE		EQU 2104
	IDM_EDIT_DELETE		EQU 2105
	
	IDM_VIEW		EQU 2
	IDM_VIEW_BORDERS	EQU 2201
	IDM_VIEW_BACKGROUND		EQU 2202

	IDM_CONTEXT			EQU 0
	IDM_CONTEXT_PASTE	EQU 10002
	IDM_CONTEXT_NEW		EQU 10001
	
			
	
	IDD_TEXT		EQU 4444
	IDC_OK		EQU 1
	IDC_CANCEL		EQU 2
	IDC_FOREGROUP		EQU 1007
	IDC_BACKGROUP		EQU 1008
	IDC_TEXT		EQU 1002
	IDC_RADIO_BACKTRANSPARENT		EQU 1010
	IDC_RADIO_BACKCOLOR		EQU 1011
	IDC_FORECHOOSECOLOR		EQU 1012
	IDC_BACKCHOOSECOLOR		EQU 1013
	IDC_STATIC_FG		EQU 1016
	IDC_STATIC_BG		EQU 1015
	
	TRSICO equ 5005