
;#################################################
;#                .DATA
;#################################################
	.DATA
	
	; Menu Toggles
	toggleBorders 	DWORD 1
	toggleBackground DWORD 1
	
	; For TextBox WM_PAINT
	myTextBrush LOGBRUSH <BS_SOLID, 0, 0>
	myBorderBrushActive   LOGBRUSH <BS_SOLID, 0FFh, 0>
	myBorderBrushUnActive LOGBRUSH <BS_SOLID, 0, 0>
	myBgBrush LOGBRUSH <BS_SOLID, 0, 0>
	
	; For Choose Color Dialog
	hBgStatBrush HBRUSH 0
	hFgStatBrush HBRUSH 0
	myBgStatBrush LOGBRUSH <BS_SOLID, 0, 0>
	myFgStatBrush LOGBRUSH <BS_SOLID, 0, 0>
	
	cf CHOOSEFONT  	<Sizeof CHOOSEFONT, NULL, NULL, NULL, 240,\
	                 CF_INITTOLOGFONTSTRUCT  or CF_BOTH or CF_ENABLEHOOK  or  CF_TTONLY,\
	                 0000000h, NULL, Offset CFHookProc, NULL, NULL, NULL, \
	                 REGULAR_FONTTYPE, 80, 720> 
	                 
	cc CHOOSECOLOR  <Sizeof CHOOSECOLOR, NULL, NULL, 0000000h, NULL, \
	                 CC_RGBINIT  or CC_FULLOPEN,\
	                 NULL, NULL, NULL >
	                 
	                 
	                 
	ofn OPENFILENAME <Sizeof OPENFILENAME, NULL, NULL, Offset saveAsFilter, NULL, NULL, 1,\
	                 Offset szFilePath, 512, Offset szFileName, 512, NULL, NULL, \
	                 OFN_FILEMUSTEXIST or OFN_OVERWRITEPROMPT or OFN_LONGNAMES or OFN_HIDEREADONLY,\
	                 NULL, NULL, Offset szExtension, 0, 0, 0>

	ofbg OPENFILENAME <Sizeof OPENFILENAME, NULL, NULL, Offset BGsaveAsFilter, NULL, NULL, 1,\
	                 Offset bgFilePath, 512, Offset bgFileName, 512, NULL, NULL, \
	                 OFN_FILEMUSTEXIST or OFN_OVERWRITEPROMPT or OFN_LONGNAMES or OFN_HIDEREADONLY,\
	                 NULL, NULL, Offset BGszExtension, 0, 0, 0>

	
	; Stores a copied item
	pCopyData dd 0
	; Background image
	g_hbmBackground HBITMAP 0
	
	
	.DATA?
	hHeap			HANDLE ?
	hInstance		HINSTANCE ?
	CommandLine		LPSTR ?
	hMenu			HMENU ?
	hContextMenu	HMENU ?
	hPopUpEdit		HMENU ?
	hPopUpContext	HMENU ?
	hMainWindow 	HWND ?
	hActiveWindow	HWND ?
	pActiveWindowData	DWORD ?
	
	DeviceCaps DWORD ?
	
	bgColorResult DWORD ?
	fgColorResult DWORD ?
	
	hDialogText HWND ?
	
	; For Pasting Into Mouse Position
	ContextMenuLocation POINT <?>
	
	; Open/SaveAs dialog box
	CountTotalFileSize 		  dd ?
	CountTotalNumberOfWindows dd ?
	OffsetViewOfFile dd ?
	
	szFilePath dd 512 dup(?)
	bgFilePath dd 512 dup(?)
	szFileName dd 512 dup(?)
	bgFileName dd 512 dup(?)
	
	.const
	
	szAppName       db "TextReaderSquare",0
	ClassName           db "MainWinClass",0
	InfoTextClassName   db "InfoTextClass",0
	MainMenuName	    db "MainMenu",0
	ContextMenuName     db "ContextMenu",0
	
	
	;  For alloc new Square
	myDefaultFont LOGFONT <-10, 0, 0, 0, 400, FALSE,FALSE,FALSE,0,0,0,0,34,'Arial' >
	myDefaultSquare Square <Offset myDefaultText,Offset myDefaultFont, 0, -1>
	myDefaultText db 'textbox',0
	
	
	; Open/SaveAs dialog box
	saveAsFilter		db 'Text Reader Square File (*.trs)',0,'*.trs',0,0
	szExtension		db 'trs',0
	; Open Background dialog box
	BGsaveAsFilter		db 'Bitmap Image (*.bmp)',0,'*.bmp',0,0
	BGszExtension		db 'bmp',0
	
	DoYouWantToSaveChanges db 'Closing current project.',10,13,10,13,'Do you want to save your changes?',0